Package twisted :: Package spread :: Module pb :: Class CopiedFailure |
[frames | no frames]

## Class CopiedFailure

            Failure --+
                      |
    Unjellyable --+   |
                  |   |
         RemoteCopy --+
                      |
                     CopiedFailure

Method Summary
| ``printBriefTraceback`(self, file)` Emulate Python's standard error reporting mechanism.
| ``printDetailedTraceback`(self, file)` Emulate Python's standard error reporting mechanism.
| ``printTraceback`(self, file)` Emulate Python's standard error reporting mechanism.
Inherited from RemoteCopy
| ``setCopyableState`(self, state)` I will be invoked with the state to copy locally.
| ``unjellyFor`(self, unjellier, jellyList)`
Inherited from Unjellyable
| ``setStateFor`(self, unjellier, state)`
Inherited from Failure
| ``__init__`(self, exc_value, exc_type, exc_tb)` Initialize me with an explanation of the error.
| ``__getstate__`(self)` Avoid pickling objects in the traceback.
| ``__repr__`(self)`
| ``__str__`(self)`
| ``check`(self, *errorTypes)`
| ``cleanFailure`(self)` Remove references to other objects, replacing them with strings.
| ``getBriefTraceback`(self)`
| ``getErrorMessage`(self)` Get a string of the exception which caused this Failure.
| ``getTraceback`(self)`
| ``trap`(self, *errorTypes)` Trap this failure if its type is in a predetermined list.

Instance Variable Summary
Inherited from Failure
| `type`: The exception's class.
| `value`: The exception instance responsible for this failure.

Class Variable Summary
Inherited from Unjellyable
`tuple` | `__implements__` = `(<class twisted.spread.interfaces.IUnje...`
Inherited from Failure
`int` | `pickled` = 0
`NoneType` | `stack` = None

Method Details

### printBriefTraceback(self, file=None) Emulate Python's standard error reporting mechanism. Overrides: `twisted.python.failure.Failure.printTraceback` (inherited documentation)

### printDetailedTraceback(self, file=None) Emulate Python's standard error reporting mechanism. Overrides: `twisted.python.failure.Failure.printTraceback` (inherited documentation)

### printTraceback(self, file=None) Emulate Python's standard error reporting mechanism. Overrides: `twisted.python.failure.Failure.printTraceback` (inherited documentation)

Generated by Epydoc 2.0 on Sat Oct 25 00:55:07 2003 | http://epydoc.sf.net